package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Ncdgrp;
import com.brilliance.isc.bo.model.Nctp;
import com.brilliance.isc.bo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class NctaddStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private Nctp nctp;

    private Nidgrp oldnidgrp;
    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
        if (nctp == null) {
            nctp = new Nctp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
    }
}
